Nintendo Switch

You want!??


  • Total voters
    98

JDTAY

Half Pepperoni, All Cheese
Joined
Sep 15, 2015
Messages
3,754
Age
35
Location
North Carolina, USA
Hogwarts Legacy is launching later on PS4 and Xbox One than current generation consoles, but it’s launching on Switch latest of all.

PS5, Xbox Series, PC: February 10th
PS4, Xbox One: April 4th
Switch: July 25th

I wonder if this will convince Potter fans to get newer consoles than Switch.
 

JDTAY

Half Pepperoni, All Cheese
Joined
Sep 15, 2015
Messages
3,754
Age
35
Location
North Carolina, USA
Seeing the Google related searches to ‘Nintendo’ is amusing. For all the success the Switch has had, even more people just want the Wii back. Ouch.

It occurs to me, it wouldn’t be that hard to put out a new Wii that’s compatible with the old discs. Just follow two rules, Nintendo: Just call it “Wii” with no prefixes or suffixes, and absolutely do not include a Wii U style Gamepad.
 

matzesu

Forum Addict!
Staff member
Joined
Oct 24, 2008
Messages
12,682
Age
38
Location
Germany,, Saarland, at home
As Pocket and Steamdeck are in carry cases, I also put the Switch in a carry case ..
unfortunaly i forgot it because I played too much Steamdeck and Pocket and had to recharge it today ..
bought the Final Fantasy X /XII HD Remake for Switch for my next Gaming Projekt but ditnt found the FF 6 Pixel Remaster so I have to play this part on GBA Pocket..
 

TeDaDeS

Hardcore Member
Joined
Jan 15, 2004
Messages
1,759
Location
The Netherlands
Website
Visit site
Seeing the Google related searches to ‘Nintendo’ is amusing. For all the success the Switch has had, even more people just want the Wii back. Ouch.

It occurs to me, it wouldn’t be that hard to put out a new Wii that’s compatible with the old discs. Just follow two rules, Nintendo: Just call it “Wii” with no prefixes or suffixes, and absolutely do not include a Wii U style Gamepad.
Isn't a Wii-U just a faster Wii with a new Gamepad. You can just play your Wii games and use the original Wii-mote. I hope the gamepad isn't required, only for Wii-U games.
 
Top